/// <reference types="react" />
export interface FoundationFormFieldErrors extends Array<[string, string]> {
}
export interface FoundationFormErrors extends Record<string, FoundationFormFieldErrors> {
}
export interface FoundationErrorListProps {
    errors?: React.ReactNode[];
}
export interface FoundationFormFieldErrorProps {
    errors?: FoundationFormFieldErrors;
}
export interface FoundationFormFieldErrorSummaryProps {
    context: string;
    errors?: FoundationFormErrors;
    formatKey?: (context: string, key: string) => string;
}
